/* Blog Grid */

:root {
  --blog-clr-primary: #6a2383;
}

.blog_grid .w-grid-list {
  row-gap: 2.5rem !important;
}

.blog_grid h2 {
  font-size: clamp(1.25rem, 1.0115rem + 0.7634vw, 1.5rem) !important;
  font-family: "Open Sans", sans-serif;
  text-align: left;
  /* margin-bottom: 1rem !important; */
  /* margin-top: 1rem; */
  line-height: 1.5 !important;
  padding: 40px !important;
  padding-block: 20px !important;
  font-weight: 700;
  background-color: var(--blog-clr-primary);
  background-image: url(https://happydogplumbing.london/wp-content/uploads/2024/01/hdp.png);
  background-repeat: no-repeat;
  background-position: top 20px right -89px;
  background-blend-mode: multiply;
  background-size: 280px;
}

.blog_grid h2 a {
  color: #fff !important;
  max-width: 210px;
  display: inline-block;
}

.blog_grid h2 a:hover {
  opacity: 0.8;
}

.blog_grid .w-grid-item {
  text-align: center;
  position: relative;
}

.blog_grid .w-grid-item::before {
  /* content: "";
  background: url("https://www.makemesocial.co.uk/wp-content/uploads/2025/02/mms-logo.svg") no-repeat;
  background-size: 90px;
  position: absolute;
  width: 90px;
  height: 90px;
  transform: translate(-50%, -50%);
  top: 0;
  z-index: 2; */
}

.new_blog_row .blog_grid .w-grid-item-h {
  background: #fff;
  box-shadow: 0px 4px 30px rgba(0, 0, 0, 0.18) !important;
  border: none !important;
  padding-bottom: 30px;
  margin-bottom: 0;
}

.blog_grid .blog-post-date {
  color: var(--blog-clr-primary);
  font-size: clamp(1.125rem, 1.0057rem + 0.3817vw, 1.25rem) !important;
  font-weight: 700;
  padding-inline: 20px;
  padding-top: 2rem;
  padding-bottom: 1.25rem;
}

.blog_grid .blog-content {
  padding-inline: 20px;
  line-height: 1.7;
  max-width: 400px;
  margin-inline: auto;
}

.new_blog_row .blog_grid .blog-btn {
  margin-top: 1.5rem;
  padding-inline: 20px;
  border: none !important;
  border-radius: 0;
  font-weight: 400;
  min-width: 158px;
  padding-block: 0.85rem !important;
  border: 1px solid transparent !important;
}

.new_blog_row .blog_grid .blog-btn:hover {
  background-color: #fff !important;
  border: 1px solid var(--blog-clr-primary) !important;
  color: var(--blog-clr-primary) !important;
}

@media (max-width: 1500px) {
  .blog_grid h2 {
    background-size: 230px;
  }
}

@media (max-width: 1300px) {
  .blog_grid h2 a {
    max-width: 200px;
  }
}

@media (max-width: 1024px) {
  .blog_grid h2 a {
    max-width: 230px;
  }
}

@media (max-width: 768px) {
  .blog_grid .w-grid-list {
    grid-template-columns: 1fr !important;
  }

  .new_blog_row .blog_grid .w-grid-item-h {
    max-width: 500px;
    margin-inline: auto;
  }

  .blog_grid h2 {
    background-size: 250px;
  }

  .blog_grid h2 a {
    max-width: 300px;
  }
}

@media (max-width: 767px) {
  .new_blog_row .vc_column-inner {
    padding-left: 0 !important;
    padding-right: 0 !important;
  }

  .blog_grid .w-grid-list {
    row-gap: 2rem !important;
  }

  .blog_grid h2 {
    padding: 15px !important;
  }

  .blog_grid h2 {
    background-size: 200px;
  }
  .blog_grid h2 a {
    max-width: unset;
    text-align: center;
  }
}
